Skip to main content
PUT

Authorizations

Authorization
string
header
required

Source-bound WorkOS API key or configured machine OIDC token. OIDC webhook management requires karsa:webhooks:manage.

Headers

Idempotency-Key
string
required

Stable source submission identifier, unique for this source and route

Required string length: 1 - 200
Example:

"01J9ZQ2YD15Y2YZ5H0W3J7D3E2"

Path Parameters

customerId
string
required
Required string length: 1 - 200

Body

application/json
effectiveAt
string<date-time>
required
changeReason
string | null
Required string length: 1 - 2000
lifecycleStatus
enum<string>
Available options:
PENDING,
ACTIVE,
SUSPENDED,
CLOSED
onboardedAt
string<date-time> | null
customData
object | null
documents
object[]
Maximum array length: 25
business
object
individual
object

Response

A new immutable version was appended to the customer

outcome
enum<string>
required
Available options:
CREATED,
VERSION_CREATED
resourceId
string
required
Minimum string length: 1
versionId
string
required
Minimum string length: 1
currentVersionId
string | null
required
Minimum string length: 1